export declare type Constructor<T> = {
    new (...args: any[]): T;
};
export declare type AbstractConstructor<T> = Function & {
    prototype: T;
};
export declare type PrimitiveConstructors = "String" | "Number" | "Boolean";
export declare type Optional<T, K extends keyof T> = Pick<Partial<T>, K> & Omit<T, K>;
